Enneo

Contract

Get ticket history for a contract

GET /contract/{contractId}/history

GET /contract/{contractId}/history

Returns the list of tickets ever opened against the given contract, oldest first.

Path parameters

contractIdstringpathrequired

Contract id.

Responses

200 — Successful operation

Response Example

{
  "tickets": [
    {
      "id": 376189,
      "direction": "in",
      "from": null,
      "fromName": "Tom Mustermann",
      "to": null,
      "ccEmails": [
        "secondlevel@enneo.ai"
      ],
      "bccEmails": [
        "archive@enneo.ai"
      ],
      "replyCcEmails": [
        "string"
      ],
      "replyRecipients": {
        "to": [
          "customer@example.com"
        ],
        "cc": [
          "manager@example.com"
        ],
        "bcc": []
      },
      "subchannelId": 1,
      "externalTicketId": "EXT-12345",
      "sentiment": "positive",
      "language": "English",
      "languageCode": "en",
      "autoExecuteAt": "2026-01-01T12:00:00Z",
      "aiSupportLevel": "unprocessed",
      "spamStatus": "auto_clean",
      "isCustomerActive": true,
      "interface": "internal",
      "priority": "low",
      "channel": "email",
      "channelId": "32291c7e-1cce-4d4c-8269-15e6a6501466",
      "status": "open",
      "summary": "I want to relocate and send you a meter reading",
      "subject": "I want to relocate and send you a meter reading"
    }
  ]
}

404 — Contract not found